Subject: Re: RCS 5.7 Patches
From: Louis Bohm <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 16 Apr 2001 11:15:43 -0400

I really do not get what I am doing wrong... I made sure that there are no CR's in
the patch
foo.patch: ASCII English text
And when I do a od -c I see the \n's but not the \r's.

And Bellow is the result of the patch:

lbohm@yoda:/mnt% patch -p 1 -i foo.patch
patching file `src/conf.sh'
Hunk #1 FAILED at 311.
Hunk #3 FAILED at 1071.
2 out of 4 hunks FAILED -- saving rejects to src/conf.sh.rej
patching file `src/rcsedit.c'
Hunk #1 FAILED at 1279.
Hunk #2 FAILED at 1610.
Hunk #3 FAILED at 1619.
Hunk #4 FAILED at 1632.
4 out of 4 hunks FAILED -- saving rejects to src/rcsedit.c.rej
patching file `src/rcslex.c'
Hunk #1 FAILED at 1113.
1 out of 1 hunk FAILED -- saving rejects to src/rcslex.c.rej
patching file `src/Makefile.in'
Hunk #1 FAILED at 128.
1 out of 1 hunk FAILED -- saving rejects to src/Makefile.in.rej
patching file `src/conf.sh'

I even tried to remount the directory where I untared rcs  and mount it a mount -x.
Then I reran the patch and go the same result.

Louis

Jason Tishler wrote:

> Louis,
>
> On Mon, Apr 16, 2001 at 09:28:45AM -0400, Louis Bohm wrote:
> > I do not believe there are CR's at the end.  When I pulled it up in vi I did
> > not see anything.  I even ftped it to a solaris box and pulled it up in vi and
> > did not see anything.
> >
> > Is there a better way I can check for CR's.
>
> Try file or od -c.
>
> I just saved the patch from:
>
>     http://sources.redhat.com/ml/cygwin/2000-10/msg00545.html
>
> by copying and pasting from Netscape into (GUI) Vim.  Note that the file
> created by this procedure *had* CRs:
>
>     $ file foo.patch
>     foo.patch: ASCII English text, with CRLF line terminators
>     $ dos2unix foo.patch
>     $ file foo.patch
>     foo.patch: ASCII English text
>
> I've attached foo.patch for your convenience.
>
> Jason
>
> --
> Jason Tishler
> Director, Software Engineering       Phone: +1 (732) 264-8770 x235
> Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
> 82 Bethany Road, Suite 7             Email: [email-masked]
> Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>
>   -----------------------------------------------------------------
>
>    foo.patchName: foo.patch
>             Type: Plain Text (text/plain)

--
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
¤°`°Systems  Manager and Tivoli Support Geek
¤°`°Lightbridge, Inc
¤°`°67 South Bedford St.
¤°`°Burlington MA 01832
¤°`°781.359.4795 mailto:[email-masked]
¤°`°http://www.lightbridge.com
¤°`°Free Tivoli scripts at: http://www.microgeek.com
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple